# Class FlavorEvent

java.lang.Object
java.util.EventObject
java.awt.datatransfer.FlavorEvent

All Implemented Interfaces:
  `Serializable`

public class FlavorEvent extends EventObject
`FlavorEvent` is used to notify interested parties that available `DataFlavor`s have changed in the `Clipboard` (the event source).

Since:
  1.5
See Also:
  - `FlavorListener`
  - Serialized Form

- ## Field Summary

  ### Fields declared in class EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlavorEvent(Clipboard source)`
  Constructs a `FlavorEvent` object.

- ## Method Summary

  ### Methods declared in class EventObject

  `getSource, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FlavorEvent

    public FlavorEvent(Clipboard source)
    Constructs a `FlavorEvent` object.
    Parameters:
      `source` - the `Clipboard` that is the source of the event
    Throws:
      `IllegalArgumentException` - if the `source` is `null`